%define name filezilla
%define version 3.23.0.2
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        FileZilla is a fast and reliable FTP client
Group:          Networking/File transfer
License:        GPL 
URL:            http://filezilla.sourceforge.net/
Source0:        FileZilla_%{version}_i586-linux-gnu.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#---------------------------------------------
Obsoletes:	%name < %version
Requires: %{_lib}wxgtku3.0_0
Requires: wxgtk >= 3.0.2
Requires: libfilezilla0 => 0.6

%description
FileZilla is a fast and reliable FTP client and server with lots 
of useful features and an intuitive interface

#german
%description -l de
Filezilla ist ein schneller, zuverlässiger FTP Klient und Server mit 
einer Menge von nützlichen Eigenschaften und einer intuitiven Benutzeroberfläche.


%prep
%setup -qnFileZilla3

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/usr
cp -R * %buildroot/usr

#Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -rf %{_datadir}/filezilla

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/filezilla.*
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png
%{_mandir}
%{_datadir}/appdata/filezilla.appdata.xml

%changelog
* Tue Dec 20 2016 adrianomorselli <adrianomorselli> 3.23.0.2-2uplos2016
- rebuild with old automake and libtool
* Sat Dec 17 2016 adrianomorselli <adrianomorselli> 3.23.0.2-1uplos2016
- rebuild

* Wed Dec 07 2016 bb <bb. 3.23.0.2-1pclos2016
- update

* Mon Nov 07 2016 bb <bb> 3.22.2.2-1pclos2016
- update

* Mon Oct 03 2016 bb <bb> 3.22.1-1pclos2016
- update

* Fri Aug 26 2016 bb <bb> 3.21.0-1pclos2016
- update

* Fri Aug 05 2016 bb <bb> 3.20.1-1pclos2016
- update

* Thu Jul 28 2016 bb <bb> 3.20.0-1pclos2016
- update

* Wed Jun 29 2016 bb <bb> 3.19.0-1pclos2016
- update

* Sun May 29 2016 bb <bb> 3.18.0-1pclos2016
- update

